{ config, lib, pkgs, modulesPath, inputs, ... }: let
  inherit (inputs) nixos-hardware;
in {
  imports =
    [ 
      (modulesPath + "/installer/scan/not-detected.nix")
      # add your model from this list: https://github.com/NixOS/nixos-hardware/blob/master/flake.nix
      nixos-hardware.nixosModules.apple-macbook-pro-8-1
    ];

  boot.initrd.availableKernelModules = [ "xhci_pci" "nvme" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ "cryptd" ];

  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" =
    { device = "/dev/disk/by-uuid/3a434206-fcdc-40d9-a4db-ae31dc1b9896";
      fsType = "ext4";
    };

  boot.initrd.luks.devices."luks-e06e84c8-4934-4cb5-8d84-8889d1a19275".device = "/dev/disk/by-uuid/e06e84c8-4934-4cb5-8d84-8889d1a19275";

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/CD65-0F67";
      fsType = "vfat";
      options = [ "fmask=0022" "dmask=0022" ];
    };

  swapDevices = [ { device = "/swapfile"; size = 8 * 1024; } ];

  networking.useDHCP = lib.mkDefault true;
  # networking.interfaces.wlp1s0.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
